POST api/Chat/CloseChat
Request Information
URI Parameters
None.
Body Parameters
ChatClose| Name | Description | Type | Additional information |
|---|---|---|---|
| accountId | integer |
Required Range: inclusive between 220 and 2147483647 |
|
| chatId | integer |
None. |
|
| closeReason | string |
None. |
|
| isProblemSolved | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"accountId": 1,
"chatId": 2,
"closeReason": "sample string 3",
"isProblemSolved": true
}
text/plain, application/octet-stream
Sample:
{"accountId":1,"chatId":2,"closeReason":"sample string 3","isProblemSolved":true}
application/xml, text/xml
Sample:
<ChatClose xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <accountId>1</accountId> <chatId>2</chatId> <closeReason>sample string 3</closeReason> <isProblemSolved>true</isProblemSolved> </ChatClose>
multipart/form-data, application/form-data
Sample:
<ChatClose xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountId>1</accountId><chatId>2</chatId><closeReason>sample string 3</closeReason><isProblemSolved>true</isProblemSolved></ChatClose>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.